com.creamtec.ajaxswing.gui

## Class AjaxSwingEventQueue

- java.lang.Object
- - java.awt.EventQueue
  - - com.creamtec.ajaxswing.gui.AjaxSwingEventQueue

-     public class AjaxSwingEventQueue
      extends java.awt.EventQueue

  AjaxSwing provides each virtual client with its own EventQueue to isolate clients running in the same JVM.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingEventQueue(ClientAgent agent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearTrappedInvocationEvent()`
    `ClientAgent` | `getClientAgent()`
    `java.awt.event.InvocationEvent` | `getTrappedInvocationEvent()`
    `boolean` | `isTrapInvocationEvent()`
    `void` | `push(java.awt.EventQueue newEventQueue)`
    `void` | `setTrapInvocationEvent(boolean trapInvocationEvent)`
    `void` | `shutdown()`

    - ### Methods inherited from class java.awt.EventQueue

      `createSecondaryLoop, getCurrentEvent, getMostRecentEventTime, getNextEvent, invokeAndWait, invokeLater, isDispatchThread, peekEvent, peekEvent, postEvent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingEventQueue

          public AjaxSwingEventQueue(ClientAgent agent)

  - ### Method Detail

    - #### getClientAgent

          public ClientAgent getClientAgent()

    - #### getTrappedInvocationEvent

          public java.awt.event.InvocationEvent getTrappedInvocationEvent()

    - #### clearTrappedInvocationEvent

          public void clearTrappedInvocationEvent()

    - #### isTrapInvocationEvent

          public boolean isTrapInvocationEvent()

    - #### setTrapInvocationEvent

          public void setTrapInvocationEvent(boolean trapInvocationEvent)

    - #### shutdown

          public void shutdown()

    - #### push

          public void push(java.awt.EventQueue newEventQueue)

      Overrides:
        `push` in class `java.awt.EventQueue`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.